#
# spec file for package rubygem-actionmailer-2_3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-actionmailer-2_3
Version:        2.3.14
Release:        0.3.1
%define mod_name actionmailer
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Provides:       rubygem-%{mod_name} = %{version}-%{release}
#
# actionpack = 2.3.14
BuildRequires:  rubygem-actionpack-2_3 = %{version}
Requires:       rubygem-actionpack-2_3 = %{version}
#
Url:            http://www.rubyonrails.org
Source:         %{mod_full_name}.gem
#
Summary:        Service layer for easy email delivery and testing

%description
Makes it trivial to test and deliver emails sent from a single service layer.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep

%build

%install
%gem_install %{S:0}
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ -name \*.bak -print -delete
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ -name \*\~ -print -delete

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  * Version bump.
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  * Version bump.
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc and testsuite subpackages.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * Version bump.
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * Version bump.
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * Version bump.
- additional changes from version 2.3.7
  * Version bump.
- additional changes from version 2.3.6
  * Upgrade TMail from 1.2.3 to 1.2.7.  [Mikel Lindsaar]
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  * Minor Bug Fixes and deprecation warnings
* Wed Sep  9 2009 adrian@suse.de
- update to version 2.3.4
  * Minor Bug fixes
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
